# Generated by Django 3.1.1 on 2021-10-15 21:21

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Succession",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(editable=False, max_length=128, unique=True)),
                ("prefix", models.CharField(default="", max_length=64)),
                ("suffix", models.CharField(default="", max_length=64)),
                (
                    "padding",
                    models.PositiveSmallIntegerField(
                        help_text="total size of the numeric part, will be add zeros to the left for complete this value",
                        validators=[
                            django.core.validators.MinValueValidator(limit_value=1),
                            django.core.validators.MaxValueValidator(limit_value=10),
                        ],
                        verbose_name="numeric padding",
                    ),
                ),
                (
                    "increment",
                    models.PositiveSmallIntegerField(
                        default=1,
                        help_text="value of the increment in the following succession",
                        validators=[
                            django.core.validators.MinValueValidator(limit_value=1)
                        ],
                        verbose_name="numeric increment",
                    ),
                ),
                (
                    "current_value",
                    models.PositiveIntegerField(
                        null=True, verbose_name="current value"
                    ),
                ),
            ],
        ),
    ]
